PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_zlaset2 | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex64_t | alpha,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA
| ) |  |

CORE_zlaset2 - Sets the elements of the matrix A to alpha. Not LAPACK compliant! Read below.

Parameters

  [in] | uplo | Specifies which elements of the matrix are to be set = PlasmaUpper: STRICT Upper part of A is set to alpha; = PlasmaLower: STRICT Lower part of A is set to alpha; = PlasmaUpperLower: ALL elements of A are set to alpha. Not LAPACK Compliant.
  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in] | alpha | The constant to which the elements are to be set.
  [in,out] | A | On entry, the M-by-N tile A. On exit, A has been set to alpha accordingly.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).